# Uses of Enum
org.apache.qpid.proton.amqp.transport.ReceiverSettleMode

Packages that use ReceiverSettleMode
Package
Description
org.apache.qpid.proton.amqp.transport
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl

## Uses of ReceiverSettleMode in org.apache.qpid.proton.amqp.transport

Methods in org.apache.qpid.proton.amqp.transport that return ReceiverSettleMode
Modifier and Type
Method
Description
`ReceiverSettleMode`
Attach.`getRcvSettleMode()`
`ReceiverSettleMode`
Transfer.`getRcvSettleMode()`
`static ReceiverSettleMode`
ReceiverSettleMode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ReceiverSettleMode`
ReceiverSettleMode.`valueOf(UnsignedByte value)`
Returns the enum constant of this type with the specified name.
`static ReceiverSettleMode[]`
ReceiverSettleMode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.qpid.proton.amqp.transport with parameters of type ReceiverSettleMode
Modifier and Type
Method
Description
`void`
Attach.`setRcvSettleMode(ReceiverSettleMode rcvSettleMode)`
`void`
Transfer.`setRcvSettleMode(ReceiverSettleMode rcvSettleMode)`

## Uses of ReceiverSettleMode in org.apache.qpid.proton.engine

Methods in org.apache.qpid.proton.engine that return ReceiverSettleMode
Modifier and Type
Method
Description
`ReceiverSettleMode`
Link.`getReceiverSettleMode()`
`ReceiverSettleMode`
Link.`getRemoteReceiverSettleMode()`
Methods in org.apache.qpid.proton.engine with parameters of type ReceiverSettleMode
Modifier and Type
Method
Description
`void`
Link.`setReceiverSettleMode(ReceiverSettleMode receiverSettleMode)`
Sets the receiver settle mode.

## Uses of ReceiverSettleMode in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl that return ReceiverSettleMode
Modifier and Type
Method
Description
`ReceiverSettleMode`
LinkImpl.`getReceiverSettleMode()`
`ReceiverSettleMode`
LinkImpl.`getRemoteReceiverSettleMode()`
Methods in org.apache.qpid.proton.engine.impl with parameters of type ReceiverSettleMode
Modifier and Type
Method
Description
`void`
LinkImpl.`setReceiverSettleMode(ReceiverSettleMode receiverSettleMode)`